/*
 * @(#)fd_md.h	1.8 98/07/01
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifndef	_SOLARIS_FD_MD_H_
#define	_SOLARIS_FD_MD_H_

#include <sys/param.h>
#include <dirent.h>
#include <unistd.h>
#include "java_io_FileDescriptor.h"

void sysInitFD(Classjava_io_FileDescriptor *, int);

int sysOpenFD(Classjava_io_FileDescriptor *, const char *, int, int);
int sysCloseFD(Classjava_io_FileDescriptor *);
void sysSocketFD(Classjava_io_FileDescriptor *, long);
int sysReadFD(Classjava_io_FileDescriptor *, char *, int);
int sysWriteFD(Classjava_io_FileDescriptor *, char *, int);
int sysRecvFD(Classjava_io_FileDescriptor *, char *, int, int);
int sysSendFD(Classjava_io_FileDescriptor *, char *, int, int);
int sysAvailableFD(Classjava_io_FileDescriptor *, long *);
long sysLseekFD(Classjava_io_FileDescriptor *, long, long);
void sysSyncFD(Classjava_io_FileDescriptor *);

#endif	/* !_SOLARIS_FD_MD_H_ */
